<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div id="app">
        {{ fullName }}
        <h1 v-text="fullName"></h1>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                firstName: 'Tuanku',
                lastName: 'Imam Bonjol'
            },
            computed: {
                fullName: {
                    get: function() {
                        return this.firstName + ' ' + this.lastName
                    },
                    // setter
                    set: function(newValue) {
                        var names = newValue.split(' ')
                        this.firstName = names[0]
                        this.lastName = names[1] + " " + names[2]
                    }

                }
            },
            methods: {}
        })
    </script>
</body>

</html>